<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>xAPI Definitions Parser: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">xAPI Definitions Parser
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacex_a_p_i___definitions___parser.html">xAPI_Definitions_Parser</a></li><li class="navelem"><a class="el" href="namespacex_a_p_i___definitions___parser_1_1_code.html">Code</a></li><li class="navelem"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_code_generator.html">CodeGenerator</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle"><div class="title">xAPI_Definitions_Parser.Code.CodeGenerator Member List</div></div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_code_generator.html">xAPI_Definitions_Parser.Code.CodeGenerator</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_code_generator.html#a060b25d52d9cd787d38278d20b84c404">ActivitiesClassName</a></td><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_code_generator.html">xAPI_Definitions_Parser.Code.CodeGenerator</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_code_generator.html#a398f498e69daf7bfff46d004bcc2e1b1">ActivityClassName</a></td><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_code_generator.html">xAPI_Definitions_Parser.Code.CodeGenerator</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_code_generator.html#afb08e20648b85640c7e0f31d11775b99">BuildActivitiesClassName</a>(params string[] args)</td><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_code_generator.html">xAPI_Definitions_Parser.Code.CodeGenerator</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_code_generator.html#a61d8002a772c083a6f8530ca5b366adc">BuildContextClassName</a>(string context)</td><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_code_generator.html">xAPI_Definitions_Parser.Code.CodeGenerator</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_code_generator.html#a392cb48f0f1a2ea35c573583f30f252e">BuildContextExtensionsClassName</a>(string context)</td><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_code_generator.html">xAPI_Definitions_Parser.Code.CodeGenerator</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_code_generator.html#a8e19184f35ef83e61b08f93347c7c2fb">BuildExtensionsClassName</a>(string type, params string[] args)</td><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_code_generator.html">xAPI_Definitions_Parser.Code.CodeGenerator</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_code_generator.html#a7bcb3ebd60adeb526632fda64af338ff">BuildExtensionTypeClassName</a>(string type)</td><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_code_generator.html">xAPI_Definitions_Parser.Code.CodeGenerator</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_code_generator.html#a958d455013045d984c4da0b8ee9f2f09">BuildVerbsClassName</a>(params string[] args)</td><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_code_generator.html">xAPI_Definitions_Parser.Code.CodeGenerator</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_code_generator.html#aa3d19f23be9da4092db9ec3a7e0069ae">CodeGenerator</a>(SyntaxTreeSerializer serializer)</td><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_code_generator.html">xAPI_Definitions_Parser.Code.CodeGenerator</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_code_generator.html#a96a5857e7ebda7a6dce56b547c5130e1">Compile</a>(List&lt; FileMeta &gt; coreFiles, List&lt; FileMeta &gt; defFiles, CompilationArguments args)</td><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_code_generator.html">xAPI_Definitions_Parser.Code.CodeGenerator</a></td><td class="entry"><span class="mlabel">pure virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_code_generator.html#a4c6d2c780a547edf233bbf428ed0d908">ContextClassName</a></td><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_code_generator.html">xAPI_Definitions_Parser.Code.CodeGenerator</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_code_generator.html#ae76cd112cf8fb7681791eaf8bc1c2258">CoreDirName</a></td><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_code_generator.html">xAPI_Definitions_Parser.Code.CodeGenerator</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_code_generator.html#abacf586e2ee6aa81c37f60bac376c804">CreateActivitiesImports</a>(List&lt; string &gt; classes)</td><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_code_generator.html">xAPI_Definitions_Parser.Code.CodeGenerator</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">pure virtual</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_code_generator.html#a712694d4138e02cb4e68721e9f4086a3">CreateContextExtensionsGetterBody</a>(xAPIContext context, string type)</td><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_code_generator.html">xAPI_Definitions_Parser.Code.CodeGenerator</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">pure virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_code_generator.html#a5e7b094ae09bb7e1cdc7566008d0a841">CreateContextExtensionsImports</a>(xAPIContext context)</td><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_code_generator.html">xAPI_Definitions_Parser.Code.CodeGenerator</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">pure virtual</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_code_generator.html#acf1d29a998e43d9c3603b46560fb208e">CreateContextImports</a>(xAPIContext context)</td><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_code_generator.html">xAPI_Definitions_Parser.Code.CodeGenerator</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">pure virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_code_generator.html#a0cc977ee09dc3d5fc617bfb3e6092371">CreateDefinitionsClass&lt; T &gt;</a>(string context, string name, xAPIDefinitionsList&lt; T &gt; definitions, string defType, string defTypePlural)</td><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_code_generator.html">xAPI_Definitions_Parser.Code.CodeGenerator</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_code_generator.html#a4d40e04f7103fd1e4575ad59d2dbcbde">CreateDefinitionsImports</a>(List&lt; xAPIContext &gt; contexts)</td><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_code_generator.html">xAPI_Definitions_Parser.Code.CodeGenerator</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">pure virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_code_generator.html#ab68832e2be6b7a54de021e3322ef771a">CreateExtensionsImports</a>(string type, List&lt; string &gt; classes)</td><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_code_generator.html">xAPI_Definitions_Parser.Code.CodeGenerator</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">pure virtual</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_code_generator.html#a0587ab1e96c0c2f2ee78cdb368caa128">CreateExtensionsMethodBody</a>(xAPIExtension extension)</td><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_code_generator.html">xAPI_Definitions_Parser.Code.CodeGenerator</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">pure virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_code_generator.html#a99357a3fd9fbcf0676eed144d32b17a6">CreateExtensionsMethods</a>(xAPIDefinitionsList&lt; xAPIExtension &gt; extensions, string name)</td><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_code_generator.html">xAPI_Definitions_Parser.Code.CodeGenerator</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_code_generator.html#aaf31c9401db8a31de3445b76bde56443">CreateExtensionsProperties</a>(string name, xAPIDefinitionsList&lt; xAPIExtension &gt; extensions)</td><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_code_generator.html">xAPI_Definitions_Parser.Code.CodeGenerator</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_code_generator.html#a5030bab5973e21e88ee1502fb4516b73">CreateExtensionTypeImports</a>()</td><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_code_generator.html">xAPI_Definitions_Parser.Code.CodeGenerator</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">pure virtual</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_code_generator.html#a067fae9fddaf4e2d54aff598fff7aa28">CreateFileName</a>(string name)</td><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_code_generator.html">xAPI_Definitions_Parser.Code.CodeGenerator</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_code_generator.html#aa0da4340ff4f9ae07649b1d34897cfcd">CreateVerbsImports</a>(List&lt; string &gt; classes)</td><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_code_generator.html">xAPI_Definitions_Parser.Code.CodeGenerator</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">pure virtual</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_code_generator.html#aff10db126ecf72fa944dfd6803571eba">DefinitionsClassName</a></td><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_code_generator.html">xAPI_Definitions_Parser.Code.CodeGenerator</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_code_generator.html#aae7c515da542a4a7e8a0307132427553">DefinitionsDirName</a></td><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_code_generator.html">xAPI_Definitions_Parser.Code.CodeGenerator</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_code_generator.html#a5bf2ad5c6d120fc85f2d893dedd67013">ExtendClassName</a>(string baseName, params string[] args)</td><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_code_generator.html">xAPI_Definitions_Parser.Code.CodeGenerator</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_code_generator.html#a9c38033377dfbe8b08f896e7c3693c26">ExtensionClassName</a></td><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_code_generator.html">xAPI_Definitions_Parser.Code.CodeGenerator</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_code_generator.html#a1cefe86b76e0191829ea0967569ac3a4">ExtensionsClassName</a></td><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_code_generator.html">xAPI_Definitions_Parser.Code.CodeGenerator</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_code_generator.html#aa8aa9c1d8b7b6e854bb69140106e6c9d">GenerateActivitiesFiles</a>(xAPIContext context)</td><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_code_generator.html">xAPI_Definitions_Parser.Code.CodeGenerator</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_code_generator.html#aba8b039f03ad1a14fa2a0f348027f1f9">GenerateActivitiesFiles</a>(string context, xAPIDefinitionsList&lt; xAPIActivity &gt; activities, string name=default)</td><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_code_generator.html">xAPI_Definitions_Parser.Code.CodeGenerator</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_code_generator.html#ae165ac718c51a9ed4c587e43ccd7ac91">GenerateContext</a>(xAPIContext context)</td><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_code_generator.html">xAPI_Definitions_Parser.Code.CodeGenerator</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_code_generator.html#acce378b8b87bde252c26451beaa11861">GenerateContextExtensionsFile</a>(xAPIContext context)</td><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_code_generator.html">xAPI_Definitions_Parser.Code.CodeGenerator</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_code_generator.html#a98d1dcfebf3e5a4624f74588c2051109">GenerateContextFile</a>(xAPIContext context)</td><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_code_generator.html">xAPI_Definitions_Parser.Code.CodeGenerator</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_code_generator.html#a9a8b55a133f5013ae43d19caf4ed9ba2">GenerateContexts</a>(List&lt; xAPIContext &gt; contexts)</td><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_code_generator.html">xAPI_Definitions_Parser.Code.CodeGenerator</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_code_generator.html#a50fc9b640a71b71e0cdef726c7f62f12">GenerateCoreFiles</a>()</td><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_code_generator.html">xAPI_Definitions_Parser.Code.CodeGenerator</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_code_generator.html#a552d0204ab03f6ee2a794aea3089a213">GenerateDefinitionsFile</a>(List&lt; xAPIContext &gt; contexts)</td><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_code_generator.html">xAPI_Definitions_Parser.Code.CodeGenerator</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_code_generator.html#a495319af420d29190ddccadbc0f347bd">GenerateExtensions</a>(xAPIContext context)</td><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_code_generator.html">xAPI_Definitions_Parser.Code.CodeGenerator</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_code_generator.html#aabd689780dd482cb01e442c7ea692624">GenerateExtensionsFiles</a>(xAPIContext context, string type)</td><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_code_generator.html">xAPI_Definitions_Parser.Code.CodeGenerator</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_code_generator.html#afc1f5192a4a5a9fdd4ca1fb0ed85422c">GenerateExtensionTypeFile</a>(string type)</td><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_code_generator.html">xAPI_Definitions_Parser.Code.CodeGenerator</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_code_generator.html#ad99d7208974f33dffdece749e5dd4092">GenerateVerbsFiles</a>(xAPIContext context)</td><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_code_generator.html">xAPI_Definitions_Parser.Code.CodeGenerator</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_code_generator.html#aabbbf801138b83bff591c218f4696cec">GenerateVerbsFiles</a>(string context, xAPIDefinitionsList&lt; xAPIVerb &gt; verbs, string name=default)</td><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_code_generator.html">xAPI_Definitions_Parser.Code.CodeGenerator</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_code_generator.html#a6b4cbcb7b8178d1ef503e4b76a06f9e8">Indent</a>(int depth)</td><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_code_generator.html">xAPI_Definitions_Parser.Code.CodeGenerator</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_code_generator.html#ac4baf44fadba7a5c3a18f5f1ba19fc06">Language</a></td><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_code_generator.html">xAPI_Definitions_Parser.Code.CodeGenerator</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_code_generator.html#a5316a0aec42f49599a30bc0d948f4db1">Log</a>(string message)</td><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_code_generator.html">xAPI_Definitions_Parser.Code.CodeGenerator</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_code_generator.html#a2d91514decff0ee8a9016dc98f96d5a6">Namespace</a></td><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_code_generator.html">xAPI_Definitions_Parser.Code.CodeGenerator</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_code_generator.html#a018a62d9e3325c3bd4fd5502038d640f">NamespaceCore</a></td><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_code_generator.html">xAPI_Definitions_Parser.Code.CodeGenerator</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_code_generator.html#a9d013a8791797b8649acc6d7cadf3660">NamespaceDefinitions</a></td><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_code_generator.html">xAPI_Definitions_Parser.Code.CodeGenerator</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_code_generator.html#ac2a2196549d43cc4429ce09dacc86fd1">OnLog</a></td><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_code_generator.html">xAPI_Definitions_Parser.Code.CodeGenerator</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_code_generator.html#abfb4d8e84d69e5d7c8038cbfe73fac01">Serializer</a></td><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_code_generator.html">xAPI_Definitions_Parser.Code.CodeGenerator</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_code_generator.html#ae8517f57e4129de9d5bd81dfbc20cf11">VerbClassName</a></td><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_code_generator.html">xAPI_Definitions_Parser.Code.CodeGenerator</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_code_generator.html#afc21c88c763889448ba61c819b2ef4e4">VerbsClassName</a></td><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_code_generator.html">xAPI_Definitions_Parser.Code.CodeGenerator</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
</table></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
